org.springframework.data.util

## Interface ProxyUtils.ProxyDetector

Enclosing class:
  ProxyUtils

    public static interface ProxyUtils.ProxyDetector

SPI to extend Spring's default proxy detection capabilities.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`Class<?>` `getUserType(Class<?> type)` Returns the user class for the given type.

### Method Detail

#### getUserType

    Class<?> getUserType(Class<?> type)

Returns the user class for the given type.

Parameters:
  `type` - will never be null.
Returns: